Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg
Interface RemoteConfigurationPerformance

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteConfigurationPerformance

extends java.rmi.Remote

This interface define methods to manage Performance configuration of server.

Method Summary
`boolean` | `getCompressIO()` Return if Compress swap files.
`boolean` | `getEnablePreloadFont()` Return if preload font.whether to reloade java classes that used by Font
`boolean` | `getPreloadCatalogClass()` Return if Preload Catalog Class.
`java.util.Vector` | `getPreloadCatalogsName()` Return Catalog's full name which need to preload.
`boolean` | `getPreloadDsoClass()` Return if Preload Dso Class.
`boolean` | `getPreloadEngineClass()` Return if Preload Engine Class.
`boolean` | `getPreloadReportClass()` Return if Preload Report Class.
`java.util.Vector` | `getPreloadReportsName()` Return Report file's full name which need to preload.
`void` | `loadProperties()` set the properties of server
`void` | `setCompressIO(boolean isCompressIO)` Set if Compress swap files.
`void` | `setEnablePreloadFont(boolean enablePreloadFont)` Set if preload font.whether to reloade java classes that used by Font
`void` | `setPreloadCatalogClass(boolean isPreloadCatalogClass)` Set if Preload Catalog Class.
`void` | `setPreloadCatalogsName(java.util.Vector preloadCatalogsName)` Set Catalog's full name which need to preload.
`void` | `setPreloadDsoClass(boolean isPreloadDsoClass)` Set if Preload DSO Class.whether to reloade java classes that used by DSO
`void` | `setPreloadEngineClass(boolean isPreloadEngineClass)` Set if Preload Engine Class.whether to reloade java classes that used by engine
`void` | `setPreloadReportClass(boolean isPreloadReportClass)` Set if Preload Report Class.
`void` | `setPreloadReportsName(java.util.Vector preloadReportsName)` Set Report file's full name which need to preload.

Method Detail

### setEnablePreloadFont

    void setEnablePreloadFont(boolean enablePreloadFont)
                              throws java.rmi.RemoteException

  Set if preload font.whether to reloade java classes that used by Font

  Parameters:
    `enablePreloadFont` - if preload font.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getEnablePreloadFont

    boolean getEnablePreloadFont()
                                 throws java.rmi.RemoteException

  Return if preload font.whether to reloade java classes that used by Font

  Returns:
    if preload font.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setPreloadCatalogsName

    void setPreloadCatalogsName(java.util.Vector preloadCatalogsName)
                                throws java.rmi.RemoteException

  Set Catalog's full name which need to preload. Vector contains String object.

  Parameters:
    `preloadCatalogsName` - Catalog's full name which need to preload.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getPreloadCatalogsName

    java.util.Vector getPreloadCatalogsName()
                                            throws java.rmi.RemoteException

  Return Catalog's full name which need to preload. Vector contains String object.

  Returns:
    Catalog's full name which need to preload.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setPreloadReportsName

    void setPreloadReportsName(java.util.Vector preloadReportsName)
                               throws java.rmi.RemoteException

  Set Report file's full name which need to preload. Vector contains String object.

  Parameters:
    `preloadReportsName` - Report file's full name which need to preload.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getPreloadReportsName

    java.util.Vector getPreloadReportsName()
                                           throws java.rmi.RemoteException

  Return Report file's full name which need to preload. Vector contains String object.

  Returns:
    Report file's full name which need to preload.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setPreloadCatalogClass

    void setPreloadCatalogClass(boolean isPreloadCatalogClass)
                                throws java.rmi.RemoteException

  Set if Preload Catalog Class.

  Parameters:
    `isPreloadCatalogClass` - if Preload Catalog Class.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getPreloadCatalogClass

    boolean getPreloadCatalogClass()
                                   throws java.rmi.RemoteException

  Return if Preload Catalog Class.

  Returns:
    if Preload Catalog Class.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setPreloadReportClass

    void setPreloadReportClass(boolean isPreloadReportClass)
                               throws java.rmi.RemoteException

  Set if Preload Report Class.

  Parameters:
    `isPreloadReportClass` - if Preload Report Class.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getPreloadReportClass

    boolean getPreloadReportClass()
                                  throws java.rmi.RemoteException

  Return if Preload Report Class. whether to reloade java classes that used by report

  Returns:
    if Preload Report Class.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setPreloadEngineClass

    void setPreloadEngineClass(boolean isPreloadEngineClass)
                               throws java.rmi.RemoteException

  Set if Preload Engine Class.whether to reloade java classes that used by engine

  Parameters:
    `isPreloadEngineClass` - if Preload Engine Class.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getPreloadEngineClass

    boolean getPreloadEngineClass()
                                  throws java.rmi.RemoteException

  Return if Preload Engine Class.

  Returns:
    if Preload Engine Class.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setPreloadDsoClass

    void setPreloadDsoClass(boolean isPreloadDsoClass)
                            throws java.rmi.RemoteException

  Set if Preload DSO Class.whether to reloade java classes that used by DSO

  Parameters:
    `isPreloadDsoClass` - if Preload Dso Class.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getPreloadDsoClass

    boolean getPreloadDsoClass()
                               throws java.rmi.RemoteException

  Return if Preload Dso Class.

  Returns:
    if Preload Dso Class.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setCompressIO

    void setCompressIO(boolean isCompressIO)
                       throws java.rmi.RemoteException

  Set if Compress swap files.

  Parameters:
    `isCompressIO` - if Compress swap files.
  Throws:
    `java.rmi.RemoteException`

### getCompressIO

    boolean getCompressIO()
                          throws java.rmi.RemoteException

  Return if Compress swap files.

  Returns:
    if Compress swap files.
  Throws:
    `java.rmi.RemoteException`

### loadProperties

    void loadProperties()
                        throws java.rmi.RemoteException

  set the properties of server

  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD